LLE-class {dimRed} | R Documentation

## Locally Linear Embedding

### Description

An S4 Class implementing Locally Linear Embedding (LLE)

### Details

LLE approximates the points in the manifold by linear combination of its neighbors. These linear combinations are the same inside the manifold and in highdimensional space.

### Slots

`fun`

  A function that does the embedding and returns a dimRedResult object.

`stdpars`

  The standard parameters for the function.

### General usage

Dimensionality reduction methods are S4 Classes that either be used directly, in which case they have to be initialized and a full list with parameters has to be handed to the `@fun()` slot, or the method name be passed to the embed function and parameters can be given to the `...`, in which case missing parameters will be replaced by the ones in the `@stdpars`.

### Parameters

LLE can take the following parameters:

knn

  the number of neighbors for the knn graph., defaults to 50.

ndim

  the number of embedding dimensions, defaults to 2.

### Implementation

Wraps around `lle`, only exposes the parameters `k` and `m`.

### References

Roweis, S.T., Saul, L.K., 2000. Nonlinear Dimensionality Reduction by Locally Linear Embedding. Science 290, 2323-2326. doi:10.1126/science.290.5500.2323

### See Also

Other dimensionality reduction methods: `AutoEncoder-class`, `DRR-class`, `DiffusionMaps-class`, `DrL-class`, `FastICA-class`, `FruchtermanReingold-class`, `HLLE-class`, `Isomap-class`, `KamadaKawai-class`, `MDS-class`, `NNMF-class`, `PCA-class`, `PCA_L1-class`, `UMAP-class`, `dimRedMethod-class`, `dimRedMethodList`, `kPCA-class`, `nMDS-class`, `tSNE-class`

### Examples

    dat <- loadDataSet("3D S Curve", n = 500)

    ## directy use the S4 class:
    lle <- LLE()
    emb <- lle@fun(dat, lle@stdpars)

    ## using embed():
    emb2 <- embed(dat, "LLE", knn = 45)

    plot(emb, type = "2vars")
    plot(emb2, type = "2vars")

[Package dimRed version 0.2.2 Index]